using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AngrySkellyBossAbilityBinder : BossAbilityBinder
{

    public override void UseMeleeAbility()
    {
        base.UseMeleeAbility();
    }
    public override void UseCoreAbility(Vector3 point)
    {
        if (coreAbility == null) return;

        if (mana.EnoughMana(coreAbility.manaCost))
            coreAbility.Execute(user, userTag); //projectile
    }

    public override void UseUltimateAbility(Vector3 point)
    {
        base.UseUltimateAbility(point);
    }

    public override void UseUltimateAbility(Transform target)
    {
        base.UseUltimateAbility(target);
    }
}
